Name:          sextractor
Version:       2.28.2
Release:       %mkrel 1
Summary:       Extract catalogs of sources from astronomical images

Group:         Sciences/Astronomy
License:       GPLv3
URL:           https://www.astromatic.net/software/sextractor/

Source0:       https://github.com/astromatic/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

#prefer fputs
Patch0:        sextractor-2.19.5-security-fprintf.patch
#force "%s" in sprintf calls
Patch1:        sextractor-2.19.5-security-sprintf.patch


BuildRequires: fftw-devel >= 3.1
BuildRequires: pkgconfig(cfitsio)
BuildRequires: openblas-devel

%description
SExtractor is a program that builds a catalogue of objects from an
astronomical image. Although it is particularly oriented towards
reduction of large scale galaxy-survey data, it performs rather
well on moderately crowded star fields.

%prep
%autosetup -p1

%build
sh ./autogen.sh

%configure --enable-openblas
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 644 -p config/*.conv %{buildroot}%{_datadir}/%{name}
install -m 644 -p config/default.nnw %{buildroot}%{_datadir}/%{name}

%files
%doc AUTHORS BUGS COPYRIGHT HISTORY README.md THANKS config/default.sex config/default.param config/README
%license LICENSE
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/manx/*
%{_datadir}/%{name}/


%changelog
* Mon Jul 14 2025 daviddavid <daviddavid> 2.28.2-1.mga10
+ Revision: 2255158
- new version: 2.28.2
+ danf <danf>
- Switch URL to https

* Mon Sep 02 2024 papoteur <papoteur> 2.25.0-11.git20240411.mga10
+ Revision: 2092667
- new tarball to git snapshot at 20240411
- build with openblas instead of atlas
- update URLs

* Thu Mar 31 2022 umeabot <umeabot> 2.25.0-10.mga9
+ Revision: 1837718
- Mageia 9 Mass Rebuild

* Wed Jun 10 2020 joequant <joequant> 2.25.0-9.mga8
+ Revision: 1591548
- fix atlas
- fix atlas libdir
- fix arm
- update 32-bit
- fix atlas
- bump
- add lapack
- update to gcc10

* Sat Feb 15 2020 umeabot <umeabot> 2.25.0-2.mga8
+ Revision: 1523480
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Mar 04 2019 eatdirt <eatdirt> 2.25.0-1.mga7
+ Revision: 1371495
- Upgrade to version 2.25.0

* Sun Sep 23 2018 umeabot <umeabot> 2.19.5-8.mga7
+ Revision: 1301006
- Mageia 7 Mass Rebuild

* Sat Jul 07 2018 wally <wally> 2.19.5-7.mga7
+ Revision: 1242506
- fix build on aarch64

* Sun May 22 2016 tv <tv> 2.19.5-6.mga6
+ Revision: 1017786
- rebuild for new atlas
- fix building with atlas

* Mon Feb 08 2016 umeabot <umeabot> 2.19.5-5.mga6
+ Revision: 947402
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.19.5-4.mga5
+ Revision: 742357
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.19.5-3.mga5
+ Revision: 730119
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.19.5-2.mga5
+ Revision: 689122
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 eatdirt <eatdirt> 2.19.5-1.mga5
+ Revision: 641858
- Upgrade to version 2.19.5

* Sat Oct 19 2013 umeabot <umeabot> 2.8.6-2.mga4
+ Revision: 530642
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 joequant <joequant> 2.8.6-1.mga4
+ Revision: 441298
- imported package sextractor

